Package org.apache.coyote

## Class BadRequestException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.apache.coyote.BadRequestException

All Implemented Interfaces:
  `java.io.Serializable`

Direct Known Subclasses:
  `ClientAbortException`

    public class BadRequestException
    extends java.io.IOException

Extend IOException to identify it as being caused by a bad request from a remote client.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`BadRequestException()` Construct a new BadRequestException with no other information.
`BadRequestException​(java.lang.String message)` Construct a new BadRequestException for the specified message.
`BadRequestException​(java.lang.String message, java.lang.Throwable throwable)` Construct a new BadRequestException for the specified message and throwable.
`BadRequestException​(java.lang.Throwable throwable)` Construct a new BadRequestException for the specified throwable.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BadRequestException

    public BadRequestException()

Construct a new BadRequestException with no other information.

#### BadRequestException

    public BadRequestException​(java.lang.String message)

Construct a new BadRequestException for the specified message.

Parameters:
  `message` - Message describing this exception

#### BadRequestException

    public BadRequestException​(java.lang.Throwable throwable)

Construct a new BadRequestException for the specified throwable.

Parameters:
  `throwable` - Throwable that caused this exception

#### BadRequestException

    public BadRequestException​(java.lang.String message,
                               java.lang.Throwable throwable)

Construct a new BadRequestException for the specified message and throwable.

Parameters:
  `message` - Message describing this exception
  `throwable` - Throwable that caused this exception